<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Nikstore
 */


get_header();
$blogarcivegridstyle = cs_get_option('nikstore_blog_grid_style');
$arcivesidebarstyle = cs_get_option('nikstore_arcive_sidebar_style');
$title_hide_wd = cs_get_option('x_bd_width_set');
if ($title_hide_wd == true) {
    $containerxpc = 'container nikstore-extended-container';

} else {
    $containerxpc = 'w-100';
}
?>
    <section class="<?php echo esc_html($containerxpc); ?>">
        <div class="nikstore-common-breadcrumbs ">
            <?php
            the_archive_title('<h1 class="page-title">', '</h1>');
            the_archive_description('<div class="archive-description">', '</div>');
            ?>
        </div>
    </section>
    <section class="nikstore-page-main-content ">
        <div class="container">
            <div class="row gx-8">

                <div class="col-lg-3">
                    <?php get_sidebar(); ?>
                </div>


                <div class="col-12 col-lg-9">


                    <?php
                    if (have_posts()) :

                        if (is_home() && !is_front_page()) :
                            ?>
                            <header>
                                <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
                            </header>
                        <?php
                        endif;
                        ?>
                        <div class="row">
                            <?php
                            /* Start the Loop */
                            while (have_posts()) :
                                the_post(); ?>
                                <div class="
                                <?php

                                if ("gridstyleone" == $blogarcivegridstyle) {
                                    ?> col-lg-12 <?php } elseif ("gridstyletwo" == $blogarcivegridstyle) { ?> col-lg-6 <?php } elseif ("gridstylethree" == $blogarcivegridstyle) { ?> col-lg-4 <?php } ?> ">

                                    <?php get_template_part('template-parts/content', 'post'); ?>

                                </div>


                            <?php
                                /*
                                * Include the Post-Type-specific template for the content.
                                * If you want to override this in a child theme, then include a file
                                * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                                */


                            endwhile;
                            ?>

                        </div>
                        <?php
                        nikstore_page_navs();

                    else :

                        get_template_part('template-parts/content', 'none');

                    endif;
                    ?>
                </div>



            </div>
        </div><!-- #container -->
    </section>
<?php

get_footer();
