<?php
/**
 * The My account Header for our theme.
 * @package nikstore
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
$favicon = cs_get_option('nikstore-favicon', 'url');
$dblogo = cs_get_option('my_acc_logo', 'url');
global $current_user;
$user_id = empty($user_id) ? get_current_user_id() : $user_id;
?><!DOCTYPE html>
<html <?php language_attributes(); ?> dir="ltr">
<head>


    <!-- Basic Page Info -->
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Favicon -->
    <?php
    if (!function_exists('has_site_icon') || !has_site_icon()) {
        if (!empty($favicon)) {
            ?>
            <link rel="shortcut icon" href="<?php echo esc_url($favicon); ?>" type="image/x-icon"/>
            <?php
        } else {
            ?>
            <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/image/fav.png" type="image/x-icon">
            <?php
        }
    }
    ?>
    <?php
    wp_head(); ?>
</head>

<!-- Begin Main Layout -->
<body <?php
body_class(); ?>>
    
    
<header class="ncc_my_ac_header col-12 col-md-10 align-self-end offset-md-2 d-none d-md-block">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-md-6">
                
            </div>
            <div class="col-12 col-md-6 acc-right-menu">
                <?php if (!NIKSTORE_USER_LOGGED) { ?>
                
                <?php } else { ?>
                <div class="dropdown nc_extended_ac_user_nav">
                  <button class="dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                   <?php echo get_avatar($user_id, 60) ?> <span
                class="pivoo-user-name-woo"><?php echo esc_html($current_user->display_name); ?></span>
                  </button>
                  <ul class="dropdown-menu">
                    <li><a class="dropdown-item" href="<?php echo esc_url(wc_get_endpoint_url('orders'));?>">Recent Orders</a></li>
                    <li><a class="dropdown-item" href="<?php echo esc_url(wc_get_endpoint_url('edit-address'));?>">Edit Address</a></li>
                    <li><a class="dropdown-item" href="<?php echo esc_url(wc_get_endpoint_url('edit-account')); ?>">Edit Account</a></li>
                  </ul>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
</header>