<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
if (!class_exists('nikstore_theme_script')) {

    class nikstore_theme_script
    {


        public function __construct()
        {


            add_action('wp_enqueue_scripts', array($this, 'nikstore_scripts'));

            add_action('admin_enqueue_scripts', array($this, 'nikstore_register_admin_styles'));


        }



#-----------------------------------------------------------------#
# Enqueue Styles & scripts
#-----------------------------------------------------------------#/

        public function nikstore_scripts()
        {

            wp_enqueue_style('bootstrap', NIKSTORE_URL . '/assets/css/bootstrap.min.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('zero-icon', NIKSTORE_URL . '/assets/css/zero-icon-line.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('remix-icon', NIKSTORE_URL . '/assets/css/remixicon.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('nikstore-icon', NIKSTORE_URL . '/assets/css/nikstore-icon.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('swiper', NIKSTORE_URL . '/assets/css/swiper-bundle.min.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('nikstore-default', NIKSTORE_URL . '/assets/css/theme-default.css', false, NIKSTORE_VERSION, 'all');
            
            wp_style_add_data('nikstore-default', 'rtl', 'replace');

            wp_enqueue_style('nikstore-style', NIKSTORE_URL . '/assets/css/nikstore-style.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('rasel-style', NIKSTORE_URL . '/assets/css/rasel.css', false, NIKSTORE_VERSION, 'all');
            wp_style_add_data('nikstore-style', 'rtl', 'replace');

            wp_enqueue_style('nikstore-responsive', NIKSTORE_URL . '/assets/css/nikstore-responsive.css', false, NIKSTORE_VERSION, 'all');
            wp_enqueue_style('nikstore-style', get_stylesheet_uri(), array(), NIKSTORE_VERSION);
            wp_style_add_data('nikstore-rtl', 'rtl', 'replace');

            wp_enqueue_style('nikstore-google-fonts', nikstore_fonts_url(), array(), null);

            wp_enqueue_script('bootstrap', NIKSTORE_URL . '/assets/js/bootstrap.bundle.min.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('nikstore-navigation', NIKSTORE_URL . '/assets/js/navigation.js', array(), NIKSTORE_VERSION, true);
            wp_enqueue_script('swiper', NIKSTORE_URL . '/assets/js/swiper.min.js', array('jquery'), '10.0.4');

            wp_enqueue_script('modernizr', NIKSTORE_URL . '/assets/js/mordenizer.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('isotope', NIKSTORE_URL . '/assets/js/isotope.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('gridzy', NIKSTORE_URL . '/assets/js/gridzy.js', array('jquery'), NIKSTORE_VERSION, true);
            
            wp_enqueue_script('niceselect', NIKSTORE_URL . '/assets/js/nice-select.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('lity', NIKSTORE_URL . '/assets/js/lity.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('resizesensor', NIKSTORE_URL . '/assets/js/ResizeSensor.js', array(), NIKSTORE_VERSION, true);
            wp_enqueue_script('theia-sticky', NIKSTORE_URL . '/assets/js/theia-sticky-sidebar.min.js', array(), NIKSTORE_VERSION, true);
            wp_enqueue_script('read-more', NIKSTORE_URL . '/assets/js/readmore.min.js', array(), NIKSTORE_VERSION, true);
            

            if (class_exists('WeDevs_Dokan')) {
            wp_enqueue_script('vendor_registration', NIKSTORE_URL . '/assets/js/vendor-registration.js', array('dokan-form-validate','jquery', 'speaking-url', 'dokan-i18n-jed'), NIKSTORE_VERSION, true);
            }
           

            wp_enqueue_script('nikstore-main-script', NIKSTORE_URL . '/assets/js/nikstore-main-script.js', array('jquery'), NIKSTORE_VERSION, true);
            wp_enqueue_script('nikstore-marque', NIKSTORE_URL . '/assets/js/marquee.min.js', array('jquery'), NIKSTORE_VERSION, true);

            $ajax_url = admin_url('admin-ajax.php', 'relative');
             $main_values = array();
            $woo_msg = esc_attr__('You have added the item to your shopping cart!', 'nikstore');
		    $main_values['dataAddCartMsg'] = $woo_msg;
            $script_params = array(
                'ajax_url'					=> $ajax_url
            );

            
                if (class_exists('WooCommerce')) {
                    
                    
                       if ( !wp_script_is( 'wc-cart-fragments', 'enqueued') && wp_script_is( 'wc-cart-fragments', 'registered' ) ) {

                        // Enqueue the wc-cart-fragments script
                        
                        wp_enqueue_script( 'wc-cart-fragments' );
                        
                         }
                         
                    wp_enqueue_script('nikstore-woo', NIKSTORE_URL . '/assets/js/nikstore-wc.js', array('jquery'), NIKSTORE_VERSION, true);

                    wp_enqueue_script('nikstore-mini-cart', NIKSTORE_URL . '/assets/js/nikstore-mini-cart.js', array('jquery'), NIKSTORE_VERSION, true);

                    wp_localize_script( 'nikstore-mini-cart', 'nikstore_params', $script_params );
                    
                     wp_localize_script('nikstore-woo', 'nikstore_main_object', $main_values);
                }
            

            $stickybarenable = cs_get_option('sticky_bar_enable');
            if ($stickybarenable == 'enabled') {
                wp_enqueue_script('nikstore-notification', NIKSTORE_URL . '/assets/js/jquery.notification.min.js', array('jquery'), NIKSTORE_VERSION, true);
            }


            if (is_singular() && comments_open() && get_option('thread_comments')) {
                wp_enqueue_script('comment-reply');
            }

            if (class_exists('WooCommerce')) {
                wp_enqueue_style('flickity', NIKSTORE_URL . '/assets/css/flickity.css', false, NIKSTORE_VERSION, 'all');
                wp_enqueue_script('flickity', NIKSTORE_URL . '/assets/js/flickity.pkgd.min.js', array(), NIKSTORE_VERSION, true);

            }
        }




#-----------------------------------------------------------------#
# Register/Enqueue JS/CSS In Admin Panel
#-----------------------------------------------------------------#

        public function nikstore_register_admin_styles()
        {

            wp_enqueue_style('nikstore-admin-css', NIKSTORE_URL . '/assets/css/admin.css');

        }


    }

    new nikstore_theme_script;
}