<?php
/**
 * Product loop sale flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @package    WooCommerce/Templates
 * @version     1.6.4
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $post, $product;

?>
<?php
    $default_sale_badge_switcher = cs_get_option('product-sale-badge-switcher');
    if ($default_sale_badge_switcher){
?>
    <?php if ($product->is_on_sale()) : ?>

        <?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">' . esc_html__('Sale', 'nikstore') . '</span>', $post, $product); ?>

    <?php endif;
}

$product_label = get_post_meta($product->get_id(), 'product_label', true);
$product_label_color = get_post_meta($product->get_id(), 'product_label_color', true);
$product_label_background = get_post_meta($product->get_id(), 'product_label_background', true);
if (!empty($product_label)){
    echo '<div class="nikstore__product-label" style="color: '.$product_label_color.'; background-color:'.$product_label_background.'">';
    echo esc_html($product_label);
    echo '</div>';
}


/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
