<?php
/**
 * My Account Dashboard
 *
 * Shows the first intro screen on the account dashboard.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/dashboard.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     2.6.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
$address_1 = get_user_meta( $current_user->ID, 'billing_address_1', true ); 
$address_2 = get_user_meta( $current_user->ID, 'billing_address_2', true );
$city = get_user_meta( $current_user->ID, 'billing_city', true );
$postcode = get_user_meta( $current_user->ID, 'billing_postcode', true );
?>

<div class="row">
    <div class="col-12 col-md-6">
        <div class="ncs_box_mcs_common">
       <div class="ncs_box_mcs_common_header">
            <span class="ncs_cm_title">Personal Profile</span> <span class="ncs_seprator_d">|</span> <a href="<?php echo esc_url(wc_get_endpoint_url('edit-account'));?>">Edit Profile</a>
       </div>
      
      <div class="ncs_box_content">
          <ul>
              
          
          <li><i class="ri-user-line"></i> <?php echo esc_html($current_user->first_name);?> <?php echo esc_html($current_user->last_name);?></li>
          
          <li><i class="ri-mail-send-line"></i> <?php echo esc_html($current_user->user_email);?></li>
          </ul>
      </div>
   </div>
    </div>
    
    <div class="col-12 col-md-6">
           <div class="ncs_box_mcs_common">
       <div class="ncs_box_mcs_common_header">
            <span class="ncs_cm_title">Address Book</span> <span class="ncs_seprator_d">|</span> <a href="<?php echo esc_url(wc_get_endpoint_url('edit-address'));?>">Edit Address</a>
       </div>
      
      <div class="ncs_box_content">
          <span class="ncs_def_billing_title">Default Billing Address</span>
          <span class="ncs_billing_name"> <?php echo esc_html($current_user->first_name);?> <?php echo esc_html($current_user->last_name);?></span>
          <span class="ncs_address_bds"><?php echo esc_html($address_1);
         
          ?> <?php  echo esc_html($city); ?> <?php  echo esc_html($postcode); ?></span>
      </div>
   </div>
    </div>
</div>

    

   

<?php
/**
 * My Account dashboard.
 *
 * @since 2.6.0
 */
do_action('woocommerce_account_dashboard');

/**
 * Deprecated woocommerce_before_my_account action.
 *
 * @deprecated 2.6.0
 */
do_action('woocommerce_before_my_account');

/**
 * Deprecated woocommerce_after_my_account action.
 *
 * @deprecated 2.6.0
 */
do_action('woocommerce_after_my_account');

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
