<?php
/**
 * My Addresses
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/my-address.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 2.6.0
 */

defined('ABSPATH') || exit;

$customer_id = get_current_user_id();

if (!wc_ship_to_billing_address_only() && wc_shipping_enabled()) {
    $get_addresses = apply_filters(
        'woocommerce_my_account_get_addresses',
        array(
            'billing' => __('Billing address', 'nikstore'),
            'shipping' => __('Shipping address', 'nikstore'),
        ),
        $customer_id
    );
} else {
    $get_addresses = apply_filters(
        'woocommerce_my_account_get_addresses',
        array(
            'billing' => __('Billing address', 'nikstore'),
        ),
        $customer_id
    );
}

$oldcol = 1;
$col = 1;
?>

    <p>
        <?php echo apply_filters('woocommerce_my_account_my_address_description', esc_html__('The following addresses will be used on the checkout page by default.', 'nikstore')); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
    </p>

<?php if (!wc_ship_to_billing_address_only() && wc_shipping_enabled()) : ?>
    <div class="row woocommerce-Addresses addresses">
<?php endif; ?>

<?php foreach ($get_addresses as $name => $address_title) : ?>
    <?php
    $address = wc_get_account_formatted_address($name);
    $col = $col * -1;
    $oldcol = $oldcol * -1;
    ?>

    <div class="col-12 col-md-6 woocommerce-Address">
        <div class="ncs_box_mcs_common">
        <header class="woocommerce-Address-title title">
            <h3><?php echo esc_html($address_title); ?></h3>
            <a href="<?php echo esc_url(wc_get_endpoint_url('edit-address', $name)); ?>"
               class="edit"><?php echo maybe_unserialize($address) ? esc_html__('Edit', 'nikstore') : esc_html__('Add', 'nikstore'); ?></a>
        </header>
        <address class="ncs_woo_address_cs">
            <?php
            echo maybe_unserialize($address) ? maybe_unserialize($address) : esc_html_e('You have not set up this type of address yet.', 'nikstore');
            ?>
        </address>
          </div>
    </div>

<?php endforeach; ?>

<?php if (!wc_ship_to_billing_address_only() && wc_shipping_enabled()) : ?>
    </div>
<?php
endif;
