<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.9.0
 */

if (!defined('ABSPATH')) {
    exit;
}

$related_product_switcher_from_option = cs_get_option('related_products_on_off');
if ($related_product_switcher_from_option){
if ($related_products) : ?>

    <section class="related_products_container">

        <?php
        $content = !empty(cs_get_option('related_product_info')) ? cs_get_option('related_product_info') : '';
        $heading = !empty(cs_get_option('related_product_heading')) ? cs_get_option('related_product_heading') : '';
        if ($heading) :
            ?>
            <h2><?php echo esc_html($heading); ?></h2>

            <?php if (!empty($content)): ?>
                    <p class="nikstore_related_product_content">
                        <?php echo esc_html($content, 'nikstore'); ?>
                    </p>
            <?php endif; ?>
        <?php endif; ?>

        <!--        --><?php //woocommerce_product_loop_start(); ?>
        <div class="nickstore-related-product-carousel row" data-flickity='{ "groupCells": "100%","wrapAround": true, "pageDots": false, "cellAlign": "left", "adaptiveHeight": true }'>


            <?php foreach ($related_products as $related_product) : ?>

                <?php
                $post_object = get_post($related_product->get_id());


                setup_postdata($GLOBALS['post'] =& $post_object); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

                wc_get_template_part('content', 'product-related');
                ?>

            <?php endforeach; ?>
        </div>
        <?php //woocommerce_product_loop_end(); ?>

    </section>
<?php

endif;
}

wp_reset_postdata();

?>
