<?php
/**
 * The template to display the reviewers meta data (name, verified owner, review date)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/review-meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined('ABSPATH') || exit;

global $comment;
$verified = wc_review_is_from_verified_owner($comment->comment_ID);

if ('0' === $comment->comment_approved) { ?>

    <p class="meta">
        <em class="woocommerce-review__awaiting-approval">
            <?php esc_html_e('Your review is awaiting approval', 'nikstore'); ?>
        </em>
    </p>

<?php } else { ?>

    <p class="meta">
        
        <div class="nik-review-top-meta">
             <div class="pivoo-woo-rat-rating">
                    <?php

                    /**
                     * The woocommerce_review_before_comment_meta hook.
                     *
                     * @hooked woocommerce_review_display_rating - 10
                     */
                    do_action('woocommerce_review_before_comment_meta', $comment);

                    ?>
                </div>
                
                  <?php echo get_review_title( $comment->comment_ID ); ?>
        </div>
      
      <div class="nik-review-bottom-meta">
           <span class="woocommerce-review__author">Reviewed by <?php comment_author(); ?> </span>
       
        <span class="woocommerce-review__dash">&ndash;</span>
        <time class="woocommerce-review__published-date"
              datetime="<?php echo esc_attr(get_comment_date('c')); ?>"><?php echo esc_html(get_comment_date(wc_date_format())); ?></time>
      </div>
       
    </p>

    <?php
}
