<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Nikstore
 */

$title_hide_wd = cs_get_option('x_sbl_width_set');

$tag_list = get_the_tag_list('', '<span class="tagcomma"> </span> ', '');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="nikstore-single-blog-header">
        
    
            <div class="nikstore-single-post-breadcumb">
                <?php nikstore_breadcrumbs(); ?>
            </div>

        
    </div>

    <div class="nikstore-content-post container nikstore-single-content-bd">
        <?php
        $blogsinglestyle = cs_get_option('nikstore_blog_single_sitebar_style');
        if ("leftsidebar" == $blogsinglestyle){
             if (is_active_sidebar('nikstore-sidebar')) { ?>
            <div class="col-lg-3">
                <?php dynamic_sidebar('nikstore-sidebar'); ?>
            </div>
            <?php }
        }
        ?>


        <div class="nikstore-single-post-condensed-container nikstore-main-body nikstore-single-post-body">
<?php
            if (is_singular()) :
                the_title('<h1 class="post-title">', '</h1>');
            else :
                the_title('<h2 class="post-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
            endif;
            ?>
            <div class="post-meta">
                <span class="page-title-delimiter"></span>
                <ul>
                    <li><i class="ri-user-3-line"></i> <?php nikstore_posted_by(); ?></li>
<?php if (get_the_category_list()) { ?>
 <li>    <i class="ri-folder-2-line"></i><?php nikstore_post_cat(); ?></li>    <?php } ?>
                    <li><i class="ri-calendar-2-line"></i> <?php nikstore_posted_on(); ?></li>
                    <li><i class="ri-timer-line"></i> <?php echo reading_time(); ?></li>
                </ul>
            </div><!-- .post-meta -->
            <?php
            // display featured image?
            if (has_post_thumbnail()) :?>
                <div class="post-thumb-single">

                    <?php nikstore_post_thumbnail('full', array('class' => 'img-responsive')); ?>

                </div>

            <?php endif; ?>
            <?php the_content(); ?>
            <div class="clearfix"></div>
            <div class="clearfix"></div>
            <div class="nikstore-single-post-additional-content nikstore-single-post-condensed-container">
                <div class="container">
                    <?php if (get_the_author_meta('description')) { ?>
                        <div class="nikstore-atr-block">
                            <div class="nikstore-top-circle"></div>
                            <div class="nikstore-author-content-box d-flex align-items-center justify-content-between">
                                <div class="nikstore-author-content d-flex align-items-center">
                                    <div class="nikstore-author-image">
                                        <?php echo get_avatar(get_the_author_meta('email'), '58'); ?>
                                    </div>
                                    <div class="nikstore-atr-block-details">
                                        <span class="author-span-dim"><?php esc_html_e('Written by', 'nikstore'); ?></span>
                                        <h4><?php nikstore_posted_by(); ?></h4>

                                    </div>


                                </div>

                                <div class="nikstore-author-follow">
                                    <?php
                                    if (class_exists('nikstore_Public')) {
                                        $teconcefollow = teconce_get_follow_unfollow_links(get_the_author_meta('ID'));

                                        echo maybe_unserialize($teconcefollow);

                                    }
                                    ?>

                                </div>

                            </div>
                            <div class="nikstore-atr-description">
                                <p><?php echo esc_html(get_the_author_meta('description')); ?></p>
                            </div>
                            <div class="nikstore-bottom-circle"></div>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php if ($tag_list) { ?>
            <div class="nikstore-single-post-additional-content nikstore-single-post-condensed-container nikstore-single-post-bottom">
                
                    <div class="nikstore-single-post-tag-box">
                        <span class="tags-label">Tag: </span> <?php echo maybe_unserialize($tag_list); ?>
                    </div>
               

                <div class="nikstore-post-social">
                    <?php   if (function_exists('nikstore_single_social_style_two')) { ?>
                    <span><?php esc_html_e('Share:','nikstore');?> </span>
                    <?php
                  
                        nikstore_single_social_style_two();
                    }
                    ?>

                </div>
            </div>
             <?php } ?>
            <div class="clearfix"></div>
           <div class="nikstore-single-post-comment-box">
                        <?php

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                        ?>
                    </div>
            </div>
            
              
                    
        </div>
       
    </div>

</article>
